### Method

# WebKit NavigationPolicyDecision get_request

deprecated: 2.6

#### Declaration [src]

    WebKitURIRequest*
    webkit_navigation_policy_decision_get_request (
      WebKitNavigationPolicyDecision* decision
    )

#### Description [src]

Gets the value of the `WebKitNavigationPolicyDecision:request` property.

Deprecated since: 2.6

Use `webkit_navigation_policy_decision_get_navigation_action()` instead.

Gets property | `WebKit.NavigationPolicyDecision:request`

#### Return value

Type: `WebKitURIRequest`

The URI request that is associated with this navigation.

The data is owned by the instance.